#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
#
Summary:	Library and proxy module for properly loading and sharing PKCS#11 modules
Summary(pl.UTF-8):	Biblioteka i moduł proxy do właściwego wczytywania i współdzielenia modułów PKCS#11
Name:		p11-kit
# NOTE: 0.20.x is stable, 0.21.x unstable
Version:	0.22.1
Release:	3
License:	BSD
Group:		Libraries
Source0:	http://p11-glue.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	4e9bea1106628ffb820bdad24a819fac
URL:		http://p11-glue.freedesktop.org/p11-kit.html
BuildRequires:	gettext-tools
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	libffi-devel >= 3.0.0
BuildRequires:	libtasn1-devel >= 2.14
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(libffi) >= 3.0.0
Requires:	filesystem >= 4.0-28
Requires:	libtasn1 >= 2.14
Suggests:	ca-certificates
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
P11-KIT provides a way to load and enumerate PKCS#11 modules. It also
provides a standard configuration setup for installing PKCS#11 modules
in such a way that they-re discoverable.

%description -l pl.UTF-8
P11-KIT zapewnia możliwość ładowania i numeracji modułów PKCS#11.
Zapewnia też ustandaryzowaną konfigurację do instalowania modułów
PKCS#11 w taki sposób, żeby były możliwe do wykrycia.

%package devel
Summary:	Header files for P11-KIT library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki P11-KIT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	p11-kit-static

%description devel
Header files for P11-KIT library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki P11-KIT.

%package apidocs
Summary:	P11-KIT API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki P11-KIT
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for P11-KIT library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki P11-KIT.

%prep
%setup -q

%build
%configure \
	%{!?with_apidocs:--disable-gtk-doc} \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir} \
	--with-trust-paths=/etc/certs/ca-certificates.crt
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pkcs11/modules

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libp11-kit.la
# dlopened module
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pkcs11/*.la

%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/pkcs11/pkcs11.conf{.example,}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/p11-kit
%attr(755,root,root) %{_bindir}/trust
%attr(755,root,root) %{_libdir}/libp11-kit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libp11-kit.so.0
%attr(755,root,root) %{_libdir}/p11-kit-proxy.so
%dir %{_sysconfdir}/pkcs11
%dir %{_sysconfdir}/pkcs11/modules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pkcs11/pkcs11.conf
%attr(755,root,root) %{_libdir}/pkcs11/p11-kit-trust.so
%dir %{_libdir}/p11-kit
%attr(755,root,root) %{_libdir}/p11-kit/p11-kit-remote
%attr(755,root,root) %{_libdir}/p11-kit/trust-extract-compat
%dir %{_datadir}/p11-kit
%dir %{_datadir}/p11-kit/modules
%{_datadir}/p11-kit/modules/p11-kit-trust.module

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libp11-kit.so
%{_includedir}/p11-kit-1
%{_pkgconfigdir}/p11-kit-1.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/p11-kit
%endif
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/p11-kit.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c3a4322
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 4527589
- updated gettext BR

* Sat Dec 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9bcf9f3
- libffi rebuild
- release 2 (by relup.sh)

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 5b8c99f
- updated to 0.22.1

* Thu Oct 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 722d96b
- updated to 0.20.7

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 310ff45
- updated to 0.20.3

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 25cbe10
- noarch apidocs

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> c99aacf
- updated to 0.20.2

* Mon Dec 30 2013 Jakub Bogusz <qboosh@pld-linux.org> dc5619c
- %{_libdir}/pkcs11 dir is owned by filesystem now

* Sat Sep 14 2013 Jakub Bogusz <qboosh@pld-linux.org> f9bbd6b
- updated to 0.20.1

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 610f726
- updated to 0.18.2

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> eff521a
- updated to 0.18.1

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> b95fe76
- updated to 0.18.0

* Wed Mar 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 0adffff
- updated to 0.16.4

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> b2ed7d3
- Suggests: ca-certificates (for trust module)

* Thu Mar 07 2013 Jakub Bogusz <qboosh@pld-linux.org> f1dada4
- updated to 0.16.0

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 7e956bd
- stable release note

* Sat Sep 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 2fa5d14
- updated to 0.14

* Wed Aug 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 720431a
- updated to 0.13

* Sun Mar 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 2d5a510
- updated to 0.12

